E-MailRelay

Public Member Functions | List of all members
GAuth::SaslServerPamImp Class Reference

A private implementation class used by GAuth::SaslServerPam. More...

## Public Member Functions
| SaslServerPamImp (bool valid, const std::string &config, bool allow_apop)
bool | active () const
bool | init (const std::string &mechanism)
std::string | apply (const std::string &pwd, bool &done)
std::string | id () const
bool | authenticated () const
| SaslServerPamImp (const SaslServerPamImp &)=delete
| SaslServerPamImp (SaslServerPamImp &&)=delete
void | operator= (const SaslServerPamImp &)=delete
void | operator= (SaslServerPamImp &&)=delete

## Detailed Description

A private implementation class used by GAuth::SaslServerPam.

Definition at line 37 of file gsaslserverpam.cpp.

## Constructor & Destructor Documentation

## ◆ SaslServerPamImp()

GAuth::SaslServerPamImp::SaslServerPamImp | ( | bool | valid,
|  | const std::string & | config,
|  | bool | allow_apop
| ) |  |

Definition at line 143 of file gsaslserverpam.cpp.

## Member Function Documentation

## ◆ active()

bool GAuth::SaslServerPamImp::active | ( |  | ) | const

Definition at line 152 of file gsaslserverpam.cpp.

## ◆ apply()

std::string GAuth::SaslServerPamImp::apply | ( | const std::string & | pwd,
|  | bool & | done
| ) |  |

Definition at line 169 of file gsaslserverpam.cpp.

## ◆ id()

std::string GAuth::SaslServerPamImp::id | ( |  | ) | const

Definition at line 164 of file gsaslserverpam.cpp.

## ◆ init()

bool GAuth::SaslServerPamImp::init | ( | const std::string & | mechanism | ) |

Definition at line 157 of file gsaslserverpam.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslserverpam.cpp